Page MenuHomePhabricator

Better error presentation for high res PDFs
Closed, ResolvedPublic

Description

The PDF in the URL does not generate any thumbnails.

The error is: "Error creating thumbnail: /usr/local/apache/common/wmf-deployment/bin/ulimit4.sh: line 4: 22515 Done 'gs' -sDEVICE=jpeg -sOutputFile=- -dFirstPage=1 -dLastPage=1 -r150 -dBATCH -dNOPAUSE -q '/mnt/upload6/wikipedia/commons/8/8b/Dührings_Haß.pdf'
22516 File size limit exceeded| 'convert' -depth 8 -resize 435 - '/mnt/thumbs/wikipedia/commons/thumb/8/8b/Dührings_Haß.pdf/page1-435px-Dührings_Haß.pdf.jpg'"

It would probably be better if that could be presented somewhat like the PNG/GIF limits on images, so that users have readable feedback.


Version: unspecified
Severity: enhancement
URL: http://commons.wikimedia.org/w/index.php?title=File:Dührings_Haß.pdf&page=4

Details

Reference
bz23831

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:09 PM
bzimport set Reference to bz23831.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Jun 7 2010, 11:29 PM

Another example at [[File:Vägg.pdf]]-.

workaround: Files can be reprinted into a smaller resolution. (Fixed both)

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:08 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:08 PM

https://commons.wikimedia.org/w/index.php?title=File:D%C3%BChrings_Ha%C3%9F.pdf&page=4 works nowadays.

It would probably be better if that could be presented somewhat like the PNG/GIF limits on images, so that users have readable feedback.

https://commons.wikimedia.org/w/index.php?title=File:V%C3%A4gg.pdf&page=4 nowadays says "Invalid thumbnail parameters or TIFF file with more than 50 MP".
@TheDJ: Does that fulfill your request or is that still too cryptic? :)

@Grendelkhan: All the links you posted in T25831#2109259 show a thumbnail which remains grey at the bottom - that sounds like a different bug for a separate Phabricator task.

Last call to reply to my previous comment. If there is no feedback I'll assume that this task is sufficiently "resolved".

Aklapper closed this task as Resolved.Jul 21 2017, 1:50 PM
Aklapper claimed this task.